<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}

executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('cli/grid_buscatelefono', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('cli/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('cli/pdf')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('cli/grid_buscatelefono', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('cli/grid_buscatelefono', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}





</script>
<script>
actualizaJSON = function(request, json){
	  var numeroElementos = json.length;
	  for (var i = 0; i < numeroElementos; i++){
	    if($(json[i][0])){
	  	  switch ($(json[i][0]).tagName){
	  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
	  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
	  	    case 'SELECT'  : 
	  	      var objDDL = $(json[i][0]);
	  	      if(typeof(cont) == 'undefined'){
	  	        var cont = 0;
	  	        objDDL.options.length = 1;
	  	      }
	  	      var a_contentValues = json[i][1].split("_;_");
	      	  var value	= a_contentValues[0];
	      	  var text	= a_contentValues[1];
	      	  var selct	= a_contentValues[2];
	      	  if( selct == 'selected'){
	  	      	var option	= new Option(text,value,false,true);
	      	  }else{
	      	  	var option	= new Option(text,value);
	      	  }
	      		try{
	      			objDDL.add(option,null);
	      		}catch (e){
	      			objDDL.add(option,-1);
	      		}
	  	      cont++;
	  	    break;
	  	  }
	    }else{
	      if(json[i][0].indexOf("function") > -1){
	        eval("scriptEval = "+json[i][0]);
	        scriptEval();
	      }
	    }
	  }
	}

	
	
</script>

<?php




$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

//Tipos de Negocio
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_TipoNegocio = $o_ClienteSystemClass->getTipoNegocio();

//Carga los Mercado
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

$o_SucursalBean = new SucursalBean();
$o_SucursalBL = new SucursalBL();
$a_Sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo"  width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <input type="hidden" name="celular"  id="celular" value="<?php echo $celular?>">
      <input type="hidden" name="idcliente"  id="idcliente" value="<?php echo $idcliente?>">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Lista de celulares coincidentes</li></td>
          
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" valign="top">
                  <table class="SubCabecera" width="80%" border="0" cellpadding="0" cellspacing="2">
                    <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDni">Celular</label></td>
                      <td width="80%" nowrap="nowrap" align="left"><label class="label"><?php echo $celular?></label></td>
                     
                    </tr>
					<?php
                    if ($idcliente > 0){
                   		$o_ClienteBean = new ClienteBean();
                   		$o_ClienteBean->setIdCliente($idcliente);
                   		$o_clieneteDP = new ClienteDP($o_ClienteBean);
                   		$a_o_clieneteDP = $o_clieneteDP->select();
                   		$o_clienete = $a_o_clieneteDP[0];
                    ?>
                    <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDni">Cliente</label></td>
                      <td width="80%" nowrap="nowrap" align="left"><label class="label"><?php echo $o_clienete->getNombreCompleto()?></label></td>
                     
                    </tr>
					<?php 
					}
					?>
                  </table>
                </td>
            </table>
          </td>
        </tr>
      </table>
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>
<script>

findControl();
</script>